<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>HierarchicalElement (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="HierarchicalElement (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/tooling/model/HasGradleProject.html" title="interface in org.gradle.tooling.model"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/tooling/model/Launchable.html" title="interface in org.gradle.tooling.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/tooling/model/HierarchicalElement.html" target="_top">Frames</a></li>
<li><a href="HierarchicalElement.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.tooling.model</div>
<h2 title="Interface HierarchicalElement" class="title">Interface HierarchicalElement</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/tooling/model/Element.html" title="interface in org.gradle.tooling.model">Element</a>, <a href="../../../../org/gradle/tooling/model/Model.html" title="interface in org.gradle.tooling.model">Model</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../org/gradle/tooling/model/idea/BasicIdeaProject.html" title="interface in org.gradle.tooling.model.idea">BasicIdeaProject</a>, <a href="../../../../org/gradle/tooling/model/eclipse/EclipseProject.html" title="interface in org.gradle.tooling.model.eclipse">EclipseProject</a>, <a href="../../../../org/gradle/tooling/model/GradleProject.html" title="interface in org.gradle.tooling.model">GradleProject</a>, <a href="../../../../org/gradle/tooling/model/eclipse/HierarchicalEclipseProject.html" title="interface in org.gradle.tooling.model.eclipse">HierarchicalEclipseProject</a>, <a href="../../../../org/gradle/tooling/model/idea/IdeaModule.html" title="interface in org.gradle.tooling.model.idea">IdeaModule</a>, <a href="../../../../org/gradle/tooling/model/idea/IdeaProject.html" title="interface in org.gradle.tooling.model.idea">IdeaProject</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">HierarchicalElement</span>
extends <a href="../../../../org/gradle/tooling/model/Element.html" title="interface in org.gradle.tooling.model">Element</a></pre>
<div class="block">Represents an element which belongs to some hierarchy.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>1.0-milestone-5</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/tooling/model/DomainObjectSet.html" title="interface in org.gradle.tooling.model">DomainObjectSet</a>&lt;? extends <a href="../../../../org/gradle/tooling/model/HierarchicalElement.html" title="interface in org.gradle.tooling.model">HierarchicalElement</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/tooling/model/HierarchicalElement.html#getChildren()">getChildren</a></strong>()</code>
<div class="block">Returns the child elements, or the empty set if there are no child elements.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/tooling/model/HierarchicalElement.html" title="interface in org.gradle.tooling.model">HierarchicalElement</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/tooling/model/HierarchicalElement.html#getParent()">getParent</a></strong>()</code>
<div class="block">Returns the parent of this element, or <code>null</code> if there is no parent.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.tooling.model.Element">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.tooling.model.<a href="../../../../org/gradle/tooling/model/Element.html" title="interface in org.gradle.tooling.model">Element</a></h3>
<code><a href="../../../../org/gradle/tooling/model/Element.html#getDescription()">getDescription</a>, <a href="../../../../org/gradle/tooling/model/Element.html#getName()">getName</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getParent()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParent</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
<a href="../../../../org/gradle/tooling/model/HierarchicalElement.html" title="interface in org.gradle.tooling.model">HierarchicalElement</a>&nbsp;getParent()</pre>
<div class="block">Returns the parent of this element, or <code>null</code> if there is no parent.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The parent of this element, or <code>null</code> if there is no parent.</dd><dt><span class="strong">Since:</span></dt>
  <dd>1.0-milestone-5</dd></dl>
</li>
</ul>
<a name="getChildren()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getChildren</h4>
<pre><a href="../../../../org/gradle/tooling/model/DomainObjectSet.html" title="interface in org.gradle.tooling.model">DomainObjectSet</a>&lt;? extends <a href="../../../../org/gradle/tooling/model/HierarchicalElement.html" title="interface in org.gradle.tooling.model">HierarchicalElement</a>&gt;&nbsp;getChildren()</pre>
<div class="block">Returns the child elements, or the empty set if there are no child elements.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The child elements, or the empty set if there are no child elements.</dd><dt><span class="strong">Since:</span></dt>
  <dd>1.0-milestone-5</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/tooling/model/HasGradleProject.html" title="interface in org.gradle.tooling.model"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/tooling/model/Launchable.html" title="interface in org.gradle.tooling.model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/tooling/model/HierarchicalElement.html" target="_top">Frames</a></li>
<li><a href="HierarchicalElement.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
